SKB_COPY_UBUFS(9)

NAME
skb_copy_ubufs - copy userspace skb frags buffers to kernel

SYNOPSIS

int skb_copy_ubufs(struct sk_buff * skb, gfp_t gfp_mask);

ARGUMENTS

skb
    the skb to modify

gfp_mask
    allocation priority

DESCRIPTION

This must be called on SKBTX_DEV_ZEROCOPY skb. It will copy all frags into kernel and drop the reference to userspace pages.

If this function is called from an interrupt gfp_mask must be GFP_ATOMIC.

Returns 0 on success or a negative error code on failure to allocate kernel memory to copy to.

COPYRIGHT